# std::error_condition::operator=

From cppreference.com
< cpp‎ | error‎ | error condition

error_condition& operator=( const error_condition& other ); | (1) | (since C++11) (implicitly declared)
template< class ErrorConditionEnum > error_condition& operator=( ErrorConditionEnum e ); | (2) | (since C++11)

Assigns contents to an error condition.

1) Copy assignment operator. Assigns the contents of `other`.
2) Assigns error condition for enum `e`. Effectively calls make_error_condition(). Does not participate in the overload resolution unless is_error_condition_enum<ErrorConditionEnum>::value is true.

### Parameters

other | - | another error condition to initialize with
e | - | error condition enum

### Return value

*this.

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/error/error_condition/operator%3D&oldid=91346"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template